import { Service } from '@/Service/Service';
/*****代理端接口*****/
class NvpAgentService {
	private static LoginPath: string = '/Agent/Login';
	/*****登录接口*****/
	static Login(name: string, pwd: string) {
		var result = Service.Request(this.LoginPath, "POST", { name, pwd });
		return result;
	}

	private static GetAgentAccInfoPath: string = '/Agent/GetAgentAccInfo';
	/*****账户接口*****/
	static GetAgentAccInfo() {
		var result = Service.Request(this.GetAgentAccInfoPath, "GET", "");
		return result;
	}

	private static GetAgentAccLogPath: string = '/Agent/GetAgentAccLog';
	/*****账户记录*****/
	static GetAgentAccLog(code: string, page: number) {
		var result = Service.Request(this.GetAgentAccLogPath, "GET", { code, page });
		return result;
	}

	private static GetAgentMerchPath: string = '/Agent/GetAgentMerch';
	/*****获取代理开通商家*****/
	static GetAgentMerch(type: number, page: number) {
		var result = Service.Request(this.GetAgentMerchPath, "GET", { type, page });
		return result;
	}
	
	private static GetAgentHomePath: string = '/Agent/GetAgentHome';
	/*****代理主页*****/
	static GetAgentHome() {
		var result = Service.Request(this.GetAgentHomePath, "GET", {  });
		return result;
	}

}
export {
	Service,
	NvpAgentService
}
